import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../controllers/base_controller.dart';

class AppColors {
  bool darkTheme = false;

  BaseController baseCtrl = Get.put(BaseController());

  AppColors() {
    baseCtrl.isDarkModeEnabled.listen((value) {
      changeColors();
    });
  }

  void changeColors() {
    if (darkTheme == true) {
      dark = Colors.white;
    } else {
      dark = Colors.black;
    }
  }

  static Color dark = Colors.black;
  static const Color primary = Color(0xFF0066FF);
  static const Color secondprimary = Color(0xFFffffff);
  static const Color thridprimary = Color(0xFF000000);
  static const Color flitericoncolor = Color(0xFF625353);
  static const Color hittext = Color(0xFF5E5858);
  static const Color ratingstar = Color(0xFFF55B03);
  static const Color flashscreen = Color(0xFFFEFAF7);
  static const Color lightgray = Color(0xff555555);

  static const Color lightGrey = Color(0xFFEBE9E9);
  static const Color lightWhite = Color(0xFFFAFAFA);
  static const Color lightBlue = Color(0xFFE8F5FF);
  static const Color purple = Color(0xFF9C34C2);
  static const Color red = Color(0xFFFF0000);
}
